Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Interface UnitProcessor.Context

All Known Implementing Classes:
  AbstractSVGLength.DefaultContext, SVGOMElement.UnitContext, UnitProcessor.DefaultContext

Enclosing class:
  UnitProcessor

    public static interface UnitProcessor.Context

Holds the informations needed to compute the units.

Method Summary
`Element` | `getElement()` Returns the element.
`float` | `getFontSize()` Returns the font-size value.
`float` | `getPixelToMM()` Returns the size of a px CSS unit in millimeters.
`float` | `getPixelUnitToMillimeter()` Returns the size of a px CSS unit in millimeters.
`float` | `getViewportHeight()` Returns the viewport height used to compute units.
`float` | `getViewportWidth()` Returns the viewport width used to compute units.
`float` | `getXHeight()` Returns the x-height value.

Method Detail

### getElement

    Element getElement()

  Returns the element.

### getPixelUnitToMillimeter

    float getPixelUnitToMillimeter()

  Returns the size of a px CSS unit in millimeters.

### getPixelToMM

    float getPixelToMM()

  Returns the size of a px CSS unit in millimeters. This will be removed after next release.

  See Also:
    `getPixelUnitToMillimeter()`

### getFontSize

    float getFontSize()

  Returns the font-size value.

### getXHeight

    float getXHeight()

  Returns the x-height value.

### getViewportWidth

    float getViewportWidth()

  Returns the viewport width used to compute units.

### getViewportHeight

    float getViewportHeight()

  Returns the viewport height used to compute units.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.